// $Id: Blocker.h,v 1.2 1996/06/26 21:57:03 bedk Exp $
//
// A class that processes a signal in blocks and maintains a state
// that is used to adjust the processing depending on if this is the
// first block, the last block, or one in the middle.
//
// $Log: Blocker.h,v $
// Revision 1.2  1996/06/26 21:57:03  bedk
// Added the End state
//
// Revision 1.1  1996/06/26 00:16:28  bedk
// Initial revision
//

#ifndef Blocker_h_INCLUDED
#define Blocker_h_INCLUDED

class Blocker {
protected:
  enum blocker_state { Start, Continuing, End };
  blocker_state state;
public:
  Blocker() { state = Start; }
};

#endif // Blocker_h_INCLUDED
